Skip to content

List product properties

GET
/api/tenant/{tenantId}/ProductProperties
curl --request GET \
--url https://api.nimles.com/pim/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ProductProperties \
--header 'Authorization: Bearer <token>'
tenantId
required
string format: uuid

Your tenant id.

OK

Media typeapplication/json
object
fields
object
key
additional properties
string
data
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
relations
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
name
string
nullable
entityId
required
string format: uuid
entityType
required
string
>= 1 characters
relationType
required
string
>= 1 characters
tenantId
string format: uuid
nullable
resourceGroupId
string format: uuid
nullable
creatorId
string format: uuid
nullable
createdDate
string format: date-time
nullable
version
integer format: int32
nullable
lastModified
string format: date-time
nullable
organizationId
string format: uuid
nullable
options
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
name
string
nullable
nameLocalized
object
key
additional properties
string
uniqueName
string
nullable
value
string
nullable
description
string
nullable
uniqueName
string
nullable
parentId
string format: uuid
nullable
name
string
nullable
nameLocalized
object
key
additional properties
string
title
string
nullable
titleLocalized
object
key
additional properties
string
placeholder
string
nullable
placeholderLocalized
object
key
additional properties
string
unit
string
nullable
description
string
nullable
descriptionLocalized
object
key
additional properties
string
type
required
string
nullable
isMulti
boolean
useAsFilter
boolean
required
boolean

Example generated

{
"data": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"relations": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"entityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"entityType": "example",
"relationType": "example"
}
],
"tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"resourceGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"creatorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"createdDate": "2026-04-15T12:00:00Z",
"version": 1,
"lastModified": "2026-04-15T12:00:00Z",
"organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"options": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"nameLocalized": {
"additionalProperty": "example"
},
"uniqueName": "example",
"value": "example",
"description": "example"
}
],
"uniqueName": "example",
"parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"nameLocalized": {
"additionalProperty": "example"
},
"title": "example",
"titleLocalized": {
"additionalProperty": "example"
},
"placeholder": "example",
"placeholderLocalized": {
"additionalProperty": "example"
},
"unit": "example",
"description": "example",
"descriptionLocalized": {
"additionalProperty": "example"
},
"type": "example",
"isMulti": true,
"useAsFilter": true,
"required": true
}
]
}

Unauthorized: no bearer token, or one that is expired or not for this API.

Forbidden: the caller holds no role that allows this action at this scope. The body is empty, or a problem whose detail names the action.

Media typeapplication/json

An RFC 9457 problem.

object
detail
string
nullable
instance
string
nullable
status
integer format: int32
nullable
title
string
nullable
type
string
nullable
key
additional properties

Example generated

{
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}